Bug 1284938 - Containers SmartState Analysis should use the management-infra namespace
Containers SmartState Analysis should use the management-infra namespace
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: SmartState Analysis (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Federico Simoncelli
Einat Pacifici
container
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-24 08:53 EST by Federico Simoncelli
Modified: 2015-12-08 08:50 EST (History)
6 users (show)

See Also:
Fixed In Version: 5.5.0.12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:50:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Federico Simoncelli 2015-11-24 08:53:39 EST
Description of problem:
Since the OpenShift Service Account creation has been made stricter we need to use the "management-infra" namespace for SmartState Analysis (and make it configurable).

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Configure the Cloudforms Service Account with admin privileges over the namespace "management-infra"

Actual results:
Smart state analysis fails because it's using the "default" namespace

Expected results:
Smart state analysis shouldn't fail and use the "management-infra" namespace


Additional info:
Comment 2 Einat Pacifici 2015-12-02 04:31:22 EST
Verified. 
Management-infra namespace is now used. 
Sample log line:
"creating pod management-infra/manageiq-img-scan-ca4d7b1b9a51 to analyze docker image ca4d7b1b9a51f72ff4da652d96943f657b4898889924ac3dae5df958dba0dc4a:"
Comment 4 errata-xmlrpc 2015-12-08 08:50:02 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.